<template>
  <div class="login">
    <div class="login-card">
      <h2 class="mb-4 text-dark">Login in with</h2>

      <BtnAuthYouTube class="mb-1" />
      <BtnAuthStackexchange />

      <div class="text-muted my-2">or</div>

      <InputBase
        v-model="this.login.email"
        type="email"
        id="login"
        placeholder="Email.."
        class="mb-2"
      />
      <InputBase
        v-model="this.login.password"
        type="password"
        id="password"
        placeholder="Password.."
        class="mb-2"
      />

      <button class="btn btn-success w-100" @click="onLoginClick">Login</button>
      
      <p class="text-center">Don't have an account yet? <router-link to="/Register">Register</router-link></p>
    </div>

    <p class="footer text-muted">
      Photo by
      <a
        target="_blank"
        href="https://unsplash.com/@jplenio?utm_source=unsplash&utm_medium=referral&utm_content=creditCopyText"
        >Johannes Plenio</a
      >
    </p>
  </div>
</template>

<script>
import { mapActions } from "vuex";
import BtnAuthYouTube from "../components/BtnAuthYouTube";
import BtnAuthStackexchange from "../components/BtnAuthStackexchange";
import InputBase from "../components/InputBase";

export default {
  name: "Login",
  components: {
    BtnAuthYouTube,
    BtnAuthStackexchange,
    InputBase,
  },
  data() {
    return {
      login: {
        email: "",
        password: "",
      },
    };
  },
  methods: {
    ...mapActions(["loginLocal"]),
    async onLoginClick() {
      await this.loginLocal(this.login);
      if (this.$store.state.users.me) 
        this.$router.push({ name: "ProfileOverview" });
    },
  },
  beforeCreate: function () {
    document.body.className = "login";
  },
};
</script>

<style lang="scss">
body.login {
  background-color: $bg-color-dark;
  background-image: url("/img/storm.jpg");
  background-repeat: no-repeat;
  background-size: cover;
}

.login {
  height: 100%;
  padding: 3rem 0;
}

.login-card {
  display: block;
  text-align: center;
  border-radius: $border-radius-lg;
  padding: 2rem;
  background-color: rgba(255, 255, 255, 0.829);
  width: 95%;
  margin: 0 auto;
}

@include media-breakpoint-up(sm) {
  .login-card {
    width: 60%;
  }
}

@include media-breakpoint-up(md) {
  .login-card {
    width: 400px;
  }
}

.footer {
  color: white;
  position: absolute;
  right: 10px;
  bottom: 5px;
}
</style>